#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	GD - interface to GD graphics library
Summary(pl.UTF-8):	GD - interfejs do biblioteki graficznej GD
Name:		perl-GD
Version:	2.53
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GD/GD-%{version}.tar.gz
# Source0-md5:	d2c9b18123bcaff8672eb50f2eb37ed3
Patch0:		%{name}-paths.patch
Patch1:		%{name}-make.patch
URL:		http://search.cpan.org/dist/GD/
BuildRequires:	gd-devel >= 2.0.28
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gd >= 2.0.28
Provides:	perl-GD(gif) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD.pm is a Perl interface to Thomas Boutell's GD graphics library. GD
allows you to create color drawings using a large number of graphics
primitives, and emit the drawings as PNG files.

%description -l pl.UTF-8
GD.pm jest perlowym interfejsem do biblioteki graficznej GD Thomasa
Boutella. GD pozwala na tworzenie kolorowych rysunków przy użyciu
dużej liczby graficznych prymitywów oraz zapisywanie ich w formacie
PNG.

%prep
%setup -q -n GD-%{version}
%patch0 -p1
%patch1 -p0

# temporarily disable test10 (resulting image differs when from.jpg is read with libjpeg8)
%{__perl} -pi -e "s/GD::Image->can\('newFromJpeg'\)/0/" t/GD.t

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/GD}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -fa demos bdf_scripts \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/bdf_scripts/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README*
%attr(755,root,root) %{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/GD.pm
%{perl_vendorarch}/GD
%{perl_vendorarch}/qd.pl
%dir %{perl_vendorarch}/auto/GD
%{perl_vendorarch}/auto/GD/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/GD/GD.so
%dir %{perl_vendorlib}/GD
%{_mandir}/man1/bdf2gdfont.pl.1*
%{_mandir}/man3/GD*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GD.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> faf1e7b
- up to 2.53

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0a31da6
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0ea616b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3647499
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> db2f107
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 17ceb39
- release 2 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 605a25d
- up to 2.50

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c94297
- release 4 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f5bf430
- rel 3

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 12a29f1
- Revert "- fix build on 32bit archs"

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 2045a16
- fix build on 32bit archs

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8b166b1
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d3a43f
- up to 2.49

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2808646
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b74409d
- release 3

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 6ce98f3
- rel 2

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> e540d46
- updated to 2.46
- disable jpg test (fails with libjpeg 8)

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> a5993fb
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d10a45e
- release 3

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cd85ea8
- release 2

